Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.map
Class BidiObservableMap

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.DecoratingObservable
              org.eclipse.core.databinding.observable.map.DecoratingObservableMap
                  org.eclipse.core.databinding.observable.map.BidiObservableMap

All Implemented Interfaces:
  Map, IDecoratingObservable, IObservable, IObservableMap

    public class BidiObservableMap

extends DecoratingObservableMap

An

This class is thread safe. All state accessing methods must be invoked from the `current realm`. Methods for adding and removing listeners may be invoked from any thread.

Since:
  1.2

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`BidiObservableMap(IObservableMap wrappedMap)` Constructs a BidirectionalMap tracking the given observable map.

Method Summary
`protected void` `addListener(Object listenerType, IObservablesListener listener)`
`protected Object` `clone()`
`boolean` `containsValue(Object value)`
`void` `dispose()` Disposes of this observable object, removing all listeners registered with this object, and all listeners this object might have registered on other objects.
`protected void` `fireEvent(ObservableEvent event)`
`protected void` `firstListenerAdded()`
`Set` `getKeys(Object value)` Returns the Set of keys that currently map to the given value.
`Realm` `getRealm()`
`protected void` `handleMapChange(MapChangeEvent event)` Called whenever a MapChangeEvent is received from the decorated observable.
`protected boolean` `hasListeners()`
`protected void` `lastListenerRemoved()`
`protected void` `removeListener(Object listenerType, IObservablesListener listener)`

Methods inherited from class org.eclipse.core.databinding.observable.map.DecoratingObservableMap
`addMapChangeListener, clear, containsKey, entrySet, equals, fireChange, fireMapChange, get, getKeyType, getValueType, hashCode, isEmpty, keySet, put, putAll, remove, removeMapChangeListener, size, toString, values`

Methods inherited from class org.eclipse.core.databinding.observable.DecoratingObservable
`getDecorated, getterCalled, handleStaleEvent, isStale`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addDisposeListener, addStaleListener, checkRealm, fireStale, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Constructor Detail

### BidiObservableMap

    public BidiObservableMap(IObservableMap wrappedMap)

  Constructs a BidirectionalMap tracking the given observable map.

  Parameters:
    `wrappedMap` - the observable map to track

Method Detail

### firstListenerAdded

    protected void firstListenerAdded()

  Overrides:
    `firstListenerAdded` in class `DecoratingObservableMap`

### lastListenerRemoved

    protected void lastListenerRemoved()

  Overrides:
    `lastListenerRemoved` in class `DecoratingObservableMap`

### handleMapChange

    protected void handleMapChange(MapChangeEvent event)

  Description copied from class: `DecoratingObservableMap`
  Called whenever a MapChangeEvent is received from the decorated observable. By default, this method fires the map change event again, with the decorating observable as the event source. Subclasses may override to provide different behavior.

  Overrides:
    `handleMapChange` in class `DecoratingObservableMap`
  Parameters:
    `event` - the change event received from the decorated observable

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map`
  Specified by:
    `containsValue` in interface `IObservableMap`
  Overrides:
    `containsValue` in class `DecoratingObservableMap`

### getKeys

    public Set getKeys(Object value)

  Returns the Set of keys that currently map to the given value.

  Parameters:
    `value` - the value associated with the keys in the returned Set.
  Returns:
    the Set of keys that map to the given value. If no keys map to the given value, an empty set is returned.

### dispose

    public void dispose()

  Description copied from interface: `IObservable`
  Disposes of this observable object, removing all listeners registered with this object, and all listeners this object might have registered on other objects.

  Specified by:
    `dispose` in interface `IObservable`
  Overrides:
    `dispose` in class `DecoratingObservableMap`

### addListener

    protected void addListener(Object listenerType,
                               IObservablesListener listener)

  Parameters:
    `listenerType` -
    `listener` -

### removeListener

    protected void removeListener(Object listenerType,
                                  IObservablesListener listener)

  Parameters:
    `listenerType` -
    `listener` -

### hasListeners

    protected boolean hasListeners()

### fireEvent

    protected void fireEvent(ObservableEvent event)

### getRealm

    public Realm getRealm()

  Returns:
    Returns the realm.

### clone

    protected Object clone()
                    throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.